<div class="cart-container">
    <h2>Your Cart</h2>
    <div class="cart-items">
      <div *ngFor="let product of  cartItems" class="cart-item">
        <div class="product-card">
          <div class="product-image">
            <img [src]="product.imageUrl" alt="{{ product.prodName }}">
          </div>
          <div class="product-details">
            <p class="product-name">{{ product.prodName }}</p>
            <p class="product-price">&#8377; {{ product.price }}</p>
            
          </div>
          <button (click)="deleteSingleProductFromCart(product.productId)" class="remove-button">Remove</button>
        </div>
      </div>
    </div>
  
    <p class="total-price">Total Price:  &#8377;{{ totalPrice}} </p>
    <button (click)="deleteCart()"   class="clear-cart-button">Clear Cart</button> &nbsp;&nbsp;&nbsp;&nbsp;
    <button (click)="placeOrder()" class="clear-cart-button">Place Order</button>
  </div>